## ace-of-penguins 1.0

=== Makefile ===
# Makefile for the Ace of Penguins
# Copyright (C) 1998 DJ Delorie.  See the file COPYING for details

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

all :
	$(MAKE) -C lib
	$(MAKE) -C tests
	$(MAKE) -C games

% :
	$(MAKE) -C lib $@
	$(MAKE) -C tests $@
	$(MAKE) -C games $@

SRC = \
	Makefile \
	COPYING \
	ChangeLog \
	*/ChangeLog \
	docs/* \
	lib/*.gif \
	lib/*.h \
	lib/Makefile \
	lib/[abd-t]*.c \
	tests/*.c \
	tests/*.gif \
	tests/Makefile \
	games/*.gif \
	games/*.html \
	games/*[a-fh-oq-z].c \
	games/*.h \
	games/*.tp \
	games/split-tiles \
	games/Makefile \
	games/t/* \
	$E

tar :
	tar cfz ace-src.tar.gz `ls -1 ${SRC} | sort`

=== games/Makefile ===
# Makefile for the Ace of Penguins
# Copyright (C) 1998 DJ Delorie.  See the file COPYING for details

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

CC = gcc
CFLAGS = -g -O6 -MMD -I../lib -L/usr/X11R6/lib

.SUFFIXES:
.PRECIOUS: .o .c

GAMES = \
	freecell \
	golf \
	minesweeper \
	pegged \
	solitaire \
	taipei taipedit \
	$E

all : LIB $(GAMES)

% : %.o %-help.o %-img.o ../lib/cardlib.a
	$(CC) $(CFLAGS) -o $@ $^ -lXpm -lX11

%-help.c : %.html ../lib/text2c
	../lib/text2c $*_help < $< > $@

%-img.c : %.gif ../lib/gif2pack
	../lib/gif2pack -b appimglib -o $@ $<

golf-img.c : golf.gif golf-arrow.gif golf-noarrow.gif ../lib/gif2pack
	../lib/gif2pack -b appimglib -o $@ golf.gif golf-arrow.gif golf-noarrow.gif

MINESWEEPER_GIFS = minesweeper.gif minesweeper-x.gif minesweeper-t.gif \
	     minesweeper-c12.gif minesweeper-c24.gif minesweeper-c36.gif minesweeper-c48.gif

minesweeper-img.c : $(MINESWEEPER_GIFS) ../lib/gif2pack
	../lib/gif2pack -b appimglib -o $@ $(MINESWEEPER_GIFS)

minesweeper : minesweeper.o minesweeper-help.o minesweeper-img.o ../lib/nocards.o ../lib/cardlib.a
	$(CC) $(CFLAGS) -o $@ $^ -lXpm -lX11

pegged-img.c : pegged.gif pegged-h.gif pegged-p.gif ../lib/gif2pack
	../lib/gif2pack -b appimglib -o $@ pegged.gif pegged-h.gif pegged-p.gif

pegged : pegged.o pegged-help.o pegged-img.o ../lib/nocards.o ../lib/cardlib.a
	$(CC) $(CFLAGS) -o $@ $^ -lXpm -lX11

taipei : taipei.o taipeilib.o taipei-help.o taipei-img.o ../lib/nocards.o ../lib/cardlib.a
	$(CC) $(CFLAGS) -o $@ $^ -lXpm -lX11

taipedit : taipedit.o taipeilib.o taipedit-help.o taipedit-img.o ../lib/nocards.o ../lib/cardlib.a
	$(CC) $(CFLAGS) -o $@ $^ -lXpm -lX11

TAIPEDITGIF = t/xa.gif taipedit.gif taipedit-bu.gif taipedit-bs.gif taipedit-bt.gif

taipei-img.c : taipei.gif t/n1.gif ../lib/gif2pack
	../lib/gif2pack -b appimglib -o $@ taipei.gif t/*.gif

taipedit-img.c : $(TAIPEDITGIF) t/n1.gif ../lib/gif2pack
	../lib/gif2pack -b appimglib -o $@ $(TAIPEDITGIF) t/n*.gif

ifneq ($(wildcard /usr/local/bin/ppmtogif),)
t/n1.gif : tiles.gif split-tiles
	./split-tiles
endif

%.o : %.c
	$(CC) $(CFLAGS) -c $<

LIB :
	@$(MAKE) -C ../lib

clean :
	-rm -f *.o *.d $(GAMES) *-img.c *-help.c *~

tar :
	strip $(GAMES)
	tar cvf - $(GAMES) | gzip -9 > ../ace-bin.tar.gz

D=$(wildcard *.d)
ifneq ($D,)
include $D
endif

=== lib/Makefile ===
# Makefile for the Ace of Penguins
# Copyright (C) 1998 DJ Delorie.  See the file COPYING for details

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

CC = gcc
CFLAGS = -g -O6 -MMD -L/usr/X11R6/lib

.PRECIOUS: %.o

all : make-cards text2c gif2pack cardlib.a nocards.o

make-cards : make-cards.c
	$(CC) $(CFLAGS) -o $@ $^ -lgd -lm

text2c : text2c.c
	$(CC) $(CFLAGS) -o $@ $^

gif2pack : gif2pack.c
	$(CC) $(CFLAGS) -o $@ $^ -lgd -lm

SRCGIFS = \
	blank.gif \
	pjack.gif \
	pqueen.gif \
	pking.gif \
	a-k.gif \
	suits.gif \
	smsuits.gif \
	bigsuits.gif \
	penguin.gif \
	$E

GIFS = \
	xemboss.gif \
	no-drop.gif \
	splash.gif \
	youwin.gif \
	youlose.gif \
	$E

CGIFS = \
	empty.gif \
	back.gif \
	$(GIFS) \
	$E

card/as.gif : make-cards $(SRCGIFS)
	./make-cards

# Note that this works correctly only when "make" makes gif2pack first.
ifeq ($(wildcard empty.gif),empty.gif)
cards.c : gif2pack.c card/as.gif $(CGIFS)
	./gif2pack -b imglib -o cards.c card/*.gif $(CGIFS)
nocards.c : gif2pack.c card/as.gif $(GIFS)
	./gif2pack -b imglib -o nocards.c card/as.gif $(GIFS)
endif

CARDOBJS = \
	table.o \
	cards.o \
	help.o \
	stack.o \
	table_ai.o \
	table_ck.o \
	table_dc.o \
	table_dg.o \
	table_dp.o \
	table_in.o \
	table_ky.o \
	table_rd.o \
	$E

cardlib.a : $(CARDOBJS)
	-@rm -f $@
	ar rvs $@ $^

clean :
	-@rm -f *.o *.a *.d *~ text2c gif2pack make-cards

D=$(wildcard *.d)
ifneq ($D,)
include $D
endif

## ace-of-penguins 1.1

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,9 @@
 	$(MAKE) -C lib
 	$(MAKE) -C tests
 	$(MAKE) -C games
+
+install:
+	$(MAKE) -C games install	
 
 % :
 	$(MAKE) -C lib $@
@@ -49,4 +52,4 @@
 	$E
 
 tar :
-	tar cfz ace-src.tar.gz `ls -1 ${SRC} | sort`
+	./mkdist

=== games/Makefile ===
--- 
+++ 
@@ -18,12 +18,16 @@
 CC = gcc
 CFLAGS = -g -O6 -MMD -I../lib -L/usr/X11R6/lib
 
+INSTALL = install
+
 .SUFFIXES:
 .PRECIOUS: .o .c
 
 GAMES = \
 	freecell \
 	golf \
+	mastermind \
+	merlin \
 	minesweeper \
 	pegged \
 	solitaire \
@@ -31,6 +35,10 @@
 	$E
 
 all : LIB $(GAMES)
+
+install: all
+	strip $(GAMES)
+	cp $(GAMES) /usr/local/bin
 
 % : %.o %-help.o %-img.o ../lib/cardlib.a
 	$(CC) $(CFLAGS) -o $@ $^ -lXpm -lX11
@@ -51,6 +59,18 @@
 	../lib/gif2pack -b appimglib -o $@ $(MINESWEEPER_GIFS)
 
 minesweeper : minesweeper.o minesweeper-help.o minesweeper-img.o ../lib/nocards.o ../lib/cardlib.a
+	$(CC) $(CFLAGS) -o $@ $^ -lXpm -lX11
+
+merlin-img.c : merlin.gif merlin-c.gif merlin-b.gif ../lib/gif2pack
+	../lib/gif2pack -b appimglib -o $@ merlin.gif merlin-c.gif merlin-b.gif
+
+merlin : merlin.o merlin-img.o merlin-help.c ../lib/nocards.o ../lib/cardlib.a
+	$(CC) $(CFLAGS) -o $@ $^ -lXpm -lX11
+
+mastermind-img.c : $(wildcard mastermind*.gif) ../lib/gif2pack
+	../lib/gif2pack -b appimglib -o $@ mastermind*.gif
+
+mastermind : mastermind.o mastermind-img.o mastermind-help.c ../lib/nocards.o ../lib/cardlib.a
 	$(CC) $(CFLAGS) -o $@ $^ -lXpm -lX11
 
 pegged-img.c : pegged.gif pegged-h.gif pegged-p.gif ../lib/gif2pack

=== lib/Makefile ===
--- 
+++ 
@@ -81,6 +81,7 @@
 	table_in.o \
 	table_ky.o \
 	table_rd.o \
+	table_rn.o \
 	$E
 
 cardlib.a : $(CARDOBJS)
@@ -88,7 +89,7 @@
 	ar rvs $@ $^
 
 clean :
-	-@rm -f *.o *.a *.d *~ text2c gif2pack make-cards
+	-@rm -f *.o *.a *.d *~ text2c gif2pack make-cards card/* cards.c
 
 D=$(wildcard *.d)
 ifneq ($D,)

=== tests/Makefile ===
# Makefile for the Ace of Penguins
# Copyright (C) 1998 DJ Delorie.  See the file COPYING for details

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

CC = gcc
#CFLAGS = -O -MMD -I../lib
CFLAGS = -O -MMD -I../lib -L/usr/X11R6/lib

.SUFFIXES:
.PRECIOUS: %.o

TESTS = $(basename $(wildcard test?.c))

all : $(TESTS)

test% : test%.o ../lib/cardlib.a
	$(CC) $(CFLAGS) -o $@ $^ -lXpm -lX11

test6 : test6.o test6c.o ../lib/cardlib.a
	$(CC) $(CFLAGS) -o $@ $^ -lXpm -lX11

test6c.c : test6.gif ../lib/gif2pack
	../lib/gif2pack -b appimglib -o test6c.c test6.gif

%.o : %.c
	$(CC) $(CFLAGS) -c $<

clean :
	-@rm -f *.o *.d test[1-6] test6c.* *~

D=$(wildcard *.d)
ifneq ($D,)
include $D
endif

## ace-of-penguins 1.3

=== debian/changelog ===
ace-of-penguins (1.3-7) unstable; urgency=low

  * debian/ace-of-penguins.lintian-overrides
    - Update entries according to changed messages.
  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
      Change libpng12-dev to libpng-dev; libpng 1.5 transition
      <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650601>.
    - (Depends): Add ${misc:PreDepends} for multiarch-support.
    - (Pre-Depends): New. Add multiarch-support.
    - (Standards-Version): Update to 3.9.3.
  * debian/copyright
    - Update to DEP5 1.0.
  * debian/rules
    - Update to use TABs.
    - (override_dh_auto_configure): Use dh_auto_configure with params.
    - (override_dh_auto_build): Clean up.
    - (override_dh_auto_install): Clean up.
    - Change to DEB_*_MAINT_APPEND variables.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 05 Mar 2012 05:10:16 -0500

ace-of-penguins (1.3-6) unstable; urgency=low

  * debian/compat
    - Update to 9.
  * debian/debian-compile.mk
    - Remove. No longer needed.
  * debian/control
    - (Build-Depends): Update to debhelper 9, dpkg-dev 1.16.1.
  * debian/rules
    - Use hardened CFLAGS (release goal).
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * debian/patches
    - (45): libpng 1.5 transition. Patch thanks to Nobuhiro Iwamatsu
      <iwamatsu@nigauri.org> (FTBFS; Closes: #635741).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 06 Feb 2012 16:05:56 +0200

ace-of-penguins (1.3-5) unstable; urgency=low

  * debian/rules
    - (ICON_NAME, ICON_SRC): New variables.
    - (override_dh_auto_install): Fix icon install (Closes: #649278).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 19 Nov 2011 17:06:22 +0200

ace-of-penguins (1.3-4) unstable; urgency=low

  * debian/control
    - (Standards-Version): Update to 3.9.2.
    - (Vcs-Git): change protocol from http to git.
  * debian/copyright
    - (Format): Update URL.
    - (LGPL-2+): Add.
  * debian/penguin-pegged.png
    - New. (LP #651366; Closes: #649154). Thanks to Ubuntu
      Michael Rawson <michaelrawson76@gmail.com>.
    - See https://bugs.launchpad.net/ubuntu/+source/ace-of-penguins/+bug/651366
  * debian/README.source
    - Fix a small typo.
  * debian/rules
    - (override_dh_auto_install): Install icon.
  * debian/source/include-binaries
    - New.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 18 Nov 2011 20:24:10 +0200

ace-of-penguins (1.3-3) unstable; urgency=low

  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): Use debhelper 8.
  * debian/copyright
    - Update to DEP5 layout.
  * debian/patches
    - (40): Fix Gcc 4.5 includes.
  * debian/rules
    - (override_dh_auto_install): Remove *.la (Closes: #621146).
    - (override_dh_auto_test): Update code layout.
    - (override_dh_installdocs): Update code layout.
    - (.PHONY): Add targets test and man.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 09 Apr 2011 16:08:25 +0300

ace-of-penguins (1.3-2) unstable; urgency=low

  * debian/menu
    - Add ace-spider. Contribution Thanks to Artur Rona
      <ari-tczew@ubuntu.com> (Closes: #601984).
  * debian/ace-of-penguins.6.orig.man
    - Delete. Obsoleted by POD format.
  * debian/ace-of-penguins.6.pod
    - Add ace-spider. Contribution Thanks to Artur Rona
      <ari-tczew@ubuntu.com>.
  * debian/patches
    - (30): New. For the spider game, Fix implicit pointer conversion.
      Patch thanks to Julien Lavergne <gilir@ubuntu.com>, forwarded by
      Artur Rona <ari-tczew@ubuntu.com> (Closes: Bug#601986).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 31 Oct 2010 19:13:50 +0200

ace-of-penguins (1.3-1) unstable; urgency=low

  * New upstream release (Closes: #590119).
    - New game: spider.
    - Game canfield segmentation fault (Closes: #543120).
    - Merge Debian patches (Closes: #60976).
  * ACK NMU changes.
  * Move to packaging format "3.0 (quilt)".
  * debian/clean
    - New file.
  * debian/control
    - (Build-Depends): Update to debhelper 7.1. Remove dpatch.
    - (Depends): Add ${misc:Depends}.
    - (Description): add canfield, spider, thornq (Closes: #549872).
    - (Standards-Version): Update to 3.9.1.
  * debian/manpages
    - New file.
  * debian/patches
    - Remove patches included upstream.
    - (10): New. autoreconf -fi (2.65).
    - (20): New. Add missing closedir(), see LP#480628.
  * debian/penguin-spider.desktop
    - New file.
  * debian/rules
    - Rewrite to use dh(1); (FTBFS; Closes: #587126).
  * debian/source/format
    - New file.
  * debian/watch
    - Update to format 3.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 25 Oct 2010 16:30:26 +0300

ace-of-penguins (1.2-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Compress manual pages correctly (closes: #587126).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 19 Jul 2010 22:54:03 +0200

ce-of-penguins (1.2-9) unstable; urgency=low

  * GENRAL INFORMATION
    - Summary: the whole package is now patch based.
    - The orginal sources were restored and patches accumulated
      to it were extracted and moved to /debian/patches
    - The original sources were upgraded to latest automake by
      re-libtoolizing with 'autoreconf -fi'. The results were then
      turned into patches. See debian/README.source
  * debian/*.desktop
    - New files. Files submitted by Daniel Dickinson <cshore@wightman.ca>.
      Closes: #478847.
  * debian/*.pod
    - Fix incorrect =item tag.
  * debian/*.lintian-overrides
    - Ignore autoreconf and library notes.
  * debian/copyright
    - Update to new dh-make layout.
    - Add Debian packaging copyrights.
    - Change upstream URL to point to freshmeat.
    - Explicitly spell v2 or any later version (lintian).
  * debian/compat
    - update to 7.
  * debian/control:
    - (Build-Depends): debhelper (>= 7), was 4. Add dpatch.
    - (Description): Replace term 'Unix/X' with 'graphical'.
    - (Vcs-*): Add new fields.
    - (Homepage): Add new field.
    - (Standards-Version): Update to 3.8.2.


=== debian/control ===
Source: ace-of-penguins
Section: games
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), autotools-dev, libpng-dev, libx11-dev, libxpm-dev, zlib1g-dev
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/ace-of-penguins.git
Vcs-Git: git://git.debian.org/collab-maint/ace-of-penguins.git
Homepage: http://freshmeat.net/projects/theaceofpenguins

Package: ace-of-penguins
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:PreDepends}, ${misc:Depends}, ${shlibs:Depends}
Description: penguin-themed solitaire games
 The Ace of Penguins is a set of solitaire games inspired by the ones
 available for MS Windows, but with a number of enhancements.
 .
 The package consists of the games Canfield, Freecell, Golf,
 Mastermind, Merlin, Minesweeper, Pegged, Solitaire, Spider, Taipei
 (with a level editor), and Thornq.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE		= ace-of-penguins
PRGPREFIX	= ace-
ICON_NAME	= penguin-pegged.png
ICON_SRC	= debian/penguin-pegged.png

# list of programs taken from games/Makefile
PROGS = \
	canfield \
	freecell \
	golf \
	mastermind \
	merlin \
	minesweeper \
	pegged \
	solitaire \
	spider \
	taipedit \
	taipei \
	thornq

CONFFLAGS = --prefix=/usr --bindir=/usr/games

include debian/debian-vars.mk

# NOTE: The sources won't compile with -pedantic
export DEB_CFLAGS_MAINT_APPEND	= -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

MANDIR = $(MANROOTDIR)/man6

#######################################################################

test:
	# target: test

	@echo "# Display commands to test programs. Feed through '| sh'" >&2

	@for prog in $(PROGS); \
	do \
	    echo "$$prog &"; \
	done

man:
	# target: man
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) \
	MANSECT=6 makeman

clean-man:
	# target: clean-man - remove manual page links (will be generated)

	for NAME in $(PROGS); \
	do \
		man=$(DEBDIR)/$(PRGPREFIX)$$NAME.6; \
		rm -f $$man; \
	done || :

build-man: man
	# target: build-man - link pages to master page
	for NAME in $(PROGS); \
	do \
	    man=debian/$(PRGPREFIX)$$NAME.6; \
	    echo ".so man6/ace-of-penguins.6" > $$man; \
	done

override_dh_auto_test:
	# nothing to test

override_dh_clean: clean-man
	#  target: clean - You may safely ignore message "invalid host type"
	if [ -f Makefile ]; then \
	    $(MAKE) \
		to_srcdir="$(TOPDIR)" \
		top_builddir="$(TOPDIR)" \
		clean distclean \
		|| : ; \
	fi

	rm -rf lib/.lib lib/.deps games/.lib games/.deps */*.[ao] *.[ao]

	dh_clean

override_dh_auto_configure:
	dh_auto_configure -- $(CONFFLAGS)

override_dh_auto_build: build-man
	dh_auto_build

override_dh_installman:
	dh_installman
	# Check that all is in order
	echo "PWD: pwd"
	( cd $(MANDIR) && ls -l )

override_dh_auto_install:
	dh_auto_install

	# rename programs to start with prefix
	for NAME in $(PROGS) ; do \
	    mv $(PKGDIR)/usr/games/$$NAME \
	       $(PKGDIR)/usr/games/$(PRGPREFIX)$$NAME || exit 1; \
	done

	$(INSTALL_DIR) $(PKGDIR)/usr/share/applications
	$(INSTALL_DATA) debian/*.desktop $(PKGDIR)/usr/share/applications

	# delete test program
	rm -f $(PKGDIR)/usr/games/penguins

	# Not used in Debian
	rm -f $(LIBROOTDIR)/*.la

	# Install custom icon
	install -D -m 644 $(ICON_SRC) $(ICONDIR)/hicolor/24x24/apps/$(ICON_NAME)

override_dh_installdocs:
	# Policy: COPYING file is not needed
	dh_installdocs -X COPYING -X .git -X CVS -X .svn docs/*

%:
	dh $@

.PHONY: test man build-man clean-man

# End of file

## ace-of-penguins 1.4

=== debian/changelog ===
ace-of-penguins (1.4-0ubuntu2) saucy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
   - debian/patches:
    + 10-autoreconf-fi--2.65.patch: Drop, replaced by dh-autoreconf. 
    + 20-lib--make-imglib.c-closedir.patch: Drop, merged upstream.
    + 30-spider.c-implicit-pointer-conversion.patch: Drop, merged upstream.
    + 40-include.patch: Drop, merged upstream.
    + 45-libpng15: Refresh.
    + 50-buildflags.patch: : Drop, merged upstream.
    + spider_license_fix.patch: fix filename in license of games/spider.c
     (LP: #978446).
   - debian/control:  Build-depends on dh-autoreconf.
   - debian/rules: Use --with autoreconf.
  * 55-more-buildflags.patch: Backport patch from Debian BTS adding png
    to AM_LDFLAGS to fix FTBFS.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 18 Jun 2013 11:57:55 -0400

ace-of-penguins (1.3-11) unstable; urgency=low

  * debian/control
    - (Standards-Version): Update to 3.9.4.
  * debian/rules
    - (override_dh_auto_ins): Remove "*.la" file even in multiarch
      (Closes: #621146).
  * Use hardened build flags.
    http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 19 May 2013 15:46:47 +0300

ace-of-penguins (1.4-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/patches:
   - 10-autoreconf-fi--2.65.patch: Drop, replaced by dh-autoreconf. 
   - 20-lib--make-imglib.c-closedir.patch: Drop, merged upstream.
   - 30-spider.c-implicit-pointer-conversion.patch: Drop, merged upstream.
   - 40-include.patch: Drop, merged upstream.
   - 45-libpng15: Refresh.
   - 50-buildflags.patch: : Drop, merged upstream.
   - spider_license_fix.patch: fix filename in license of games/spider.c
     (LP: #978446).
  * debian/control:
   - Build-depends on dh-autoreconf.
  * debian/rules:
   - Use --with autoreconf.

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 28 Jan 2013 22:39:07 +0100

ace-of-penguins (1.3-10) unstable; urgency=low

  * debian/series
    - (45): Add libpng 1.5 transition patch. For some reason the line
      was mistankely deleted in 1.3-9.
    - (50): New. Included in 1.3-9 but not listed in changelog.
      Enable CPPFLAGS, thus making full use of hardened build flags
      (hardening=+all) added in 1.3-8. Patch thanks to Simon Ruderich
      <simon@ruderich.org>

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 12 Jul 2012 13:35:26 +0300

ace-of-penguins (1.3-9) unstable; urgency=low

  * debian/control
    - (Recommends): Add xfonts-100dpi. This fixes F1 keypress
      segmentation fault crash on systems which do not already have the font
      installed (Closes: #679875). Thanks to Lukas Hofmann <lhfloss@gmx.de>
      for the patch.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 10 Jul 2012 12:47:52 +0300

ace-of-penguins (1.3-8) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (standards-Version): Update to 3.9.3.1.
  * debian/rules
     - Enable all hardening flags.
  * debian/ace-of-penguins.6.pod
    - (AUTHORS): Correct typo (Closes: #663892).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 22 Mar 2012 12:24:25 -0400

=== debian/control ===
Source: ace-of-penguins
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), autotools-dev, libpng-dev, libx11-dev, libxpm-dev, zlib1g-dev, dh-autoreconf
Standards-Version: 3.9.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/ace-of-penguins.git
Vcs-Git: git://git.debian.org/collab-maint/ace-of-penguins.git
Homepage: http://freshmeat.net/projects/theaceofpenguins

Package: ace-of-penguins
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:PreDepends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: xfonts-100dpi
Description: penguin-themed solitaire games
 The Ace of Penguins is a set of solitaire games inspired by the ones
 available for MS Windows, but with a number of enhancements.
 .
 The package consists of the games Canfield, Freecell, Golf,
 Mastermind, Merlin, Minesweeper, Pegged, Solitaire, Spider, Taipei
 (with a level editor), and Thornq.
 .
 NOTE: If you experience problems with the F1 help key, please
 make sure you have package xfonts-100dpi installed.

=== debian/rules ===
--- 
+++ 
@@ -7,30 +7,50 @@
 
 # list of programs taken from games/Makefile
 PROGS = \
-	canfield \
-	freecell \
-	golf \
-	mastermind \
-	merlin \
-	minesweeper \
-	pegged \
-	solitaire \
-	spider \
-	taipedit \
-	taipei \
-	thornq
+ canfield \
+ freecell \
+ golf \
+ mastermind \
+ merlin \
+ minesweeper \
+ pegged \
+ solitaire \
+ spider \
+ taipedit \
+ taipei \
+ thornq
+
+CPPFLAGS = $(shell \
+    DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)
+
+CFLAGS = -Wall $(shell \
+    DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS)
+
+LDFLAGS = -Wl,--as-needed -Wl,-z,now $(shell \
+    DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)
+
+cc := $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)
+
 
 CONFFLAGS = --prefix=/usr --bindir=/usr/games
 
 include debian/debian-vars.mk
 
+export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
+
 # NOTE: The sources won't compile with -pedantic
-export DEB_CFLAGS_MAINT_APPEND	= -Wall
+export DEB_CFLAGS_MAINT_APPEND	= -Wall $(CPPFLAGS)
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 MANDIR = $(MANROOTDIR)/man6
 
 #######################################################################
+
+override_dh_auto_configure:
+	CC="$(cc)" dh_auto_configure -- $(CONFFLAGS)
+
+override_dh_auto_build: build-man
+	dh_auto_build -- CC="$(cc)" BUILD_CC="$(cc)"
 
 test:
 	# target: test
@@ -81,12 +101,6 @@
 
 	dh_clean
 
-override_dh_auto_configure:
-	dh_auto_configure -- $(CONFFLAGS)
-
-override_dh_auto_build: build-man
-	dh_auto_build
-
 override_dh_installman:
 	dh_installman
 	# Check that all is in order
@@ -109,7 +123,7 @@
 	rm -f $(PKGDIR)/usr/games/penguins
 
 	# Not used in Debian
-	rm -f $(LIBROOTDIR)/*.la
+	find $(PKGDIR) -name "*.la" | xargs --no-run-if-empty rm -f
 
 	# Install custom icon
 	install -D -m 644 $(ICON_SRC) $(ICONDIR)/hicolor/24x24/apps/$(ICON_NAME)
@@ -119,7 +133,7 @@
 	dh_installdocs -X COPYING -X .git -X CVS -X .svn docs/*
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 .PHONY: test man build-man clean-man

## ace-of-penguins 1.5~rc2

=== debian/changelog ===
ace-of-penguins (1.5~rc2-7) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Build with -std=gnu17 to workaround FTBFS with GCC 15. (Closes: #1096274)

 -- Bastian Germann <bage@debian.org>  Fri, 19 Sep 2025 19:53:02 +0300

ace-of-penguins (1.5~rc2-6) unstable; urgency=medium

  * Team upload.

  [ Steve Langasek ]
  * Fix missing function declaration. (Closes: #1065046, #1066349)

  [ Helmut Grohne ]
  * Fix FTCBFS by removing confusion between build and host compiler flags.
    (Closes: #1058017)

  [ Reiner Herrmann ]
  * Declare that d/rules does not require root.
  * Drop -Wl,--as-needed, which is used by default.
  * Update lintian-overrides to new format and tag names.
  * Use wildcards instead of hardcoded architectures in lintian-overrides.
  * Declare compliance with Debian Policy 4.7.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 04 Apr 2024 19:48:17 +0200

ace-of-penguins (1.5~rc2-5) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.2.

 -- Markus Koschany <apo@debian.org>  Fri, 13 Jan 2023 22:59:18 +0100

ace-of-penguins (1.5~rc2-4) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Fix FTBFS with GCC 10 (Closes: #956976).

  [ Markus Koschany ]
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Fri, 29 May 2020 21:23:41 +0200

ace-of-penguins (1.5~rc2-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.2.1.
  * Fix FTCBFS uses the build architecture compiler.
    - Pass a cross compiler for CC, but not BUILD_CC.
    - Missing Build-Depends: libpng-dev:native, zlib1g-dev:native.
    Thanks to Helmut Grohne for the report and patch. (Closes: #900200)

 -- Markus Koschany <apo@debian.org>  Sun, 26 Aug 2018 01:08:11 +0200

ace-of-penguins (1.5~rc2-2) unstable; urgency=medium

  * Use compat level 11.
  * Use canonical VCS address.
  * Declare compliance with Debian Policy 4.1.3.
  * Drop obsolete menu file and xpm icon.
  * Remove dirs file.
  * Use https for Format field.
  * Add freecell-KDE.patch and fix freecell's start issues on KDE.
    Thanks to Dr. Claudia Neumann for the report and Esa Peuha for the patch.
    (Closes: #883707)

 -- Markus Koschany <apo@debian.org>  Fri, 02 Mar 2018 21:53:00 +0100

ace-of-penguins (1.5~rc2-1) unstable; urgency=medium

  * Imported Upstream version 1.5~rc2.
    - penguin-spider: Pressing buttons 2 or 4 will call the two or four suits
      game again. Thanks to Gunther Furtado for the report and Esa Peuha for
      the patch. (Closes: #810848)
  * Vcs-Browser: Use https.

 -- Markus Koschany <apo@debian.org>  Tue, 19 Jan 2016 20:42:21 +0100

ace-of-penguins (1.5~rc1-1) unstable; urgency=medium

  * New maintainer: Debian Games Team. (Closes: #809995)
  * Add myself to Uploaders.
  * Imported Upstream version 1.5~rc1. (Closes: #808340)
    Thanks to Esa Peuha for the report.
    - Fixes conflicting declarations of struct image_list. (Closes: #749630)
    - Fixes FTBFS with libpng16. (Closes: #809878)
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.6.
  * Switch Vcs-* fields to pkg-games.
  * Remove NEWS.Debian. It is obsolete now.
  * Remove Pre-Depends multiarch-support.
    It is not required for Stretch anymore. This also fixes Lintian error
    pre-depends-directly-on-multiarch-support.
  * Remove ${misc:PreDepends} dependency.
  * Make the build reproducible by using the last changelog date as a timestamp
    for the manpage. Thanks to Reiner Herrmann for the report and patch.
    (Closes: #782316)
  * Drop libxpm-dev from Build-Depend because it is no longer needed.
    Thanks to Esa Peuha for the hint.
  * Drop all patches. Applied upstream.
  * Update homepage field and point to delorie.com.
  * desktop files: Update keywords and do not use absolute paths for Exec
    commands.
  * Move all desktop files to debian/desktop subdirectory.
  * Replace penguin-pegged.png icon with upstream's ace.png icon.
  * Provide a new menu icon. (Closes: #737787)
  * Drop README.source.

 -- Markus Koschany <apo@debian.org>  Wed, 06 Jan 2016 18:21:53 +0100

ace-of-penguins (1.3-13) unstable; urgency=low

  * debian/patches
    - (31): New. Fix spider.c license (Closes: #668985).
    - (32): New. Fix WM hints on 64-bit, so all
      windows can be moved. Patch thanks to Ove Kåven <ovek@arcticnet.no>.
      (Closes: #538216).
    - (34): New.  Workaround for touchscreen issue.
      Patch thanks to Ove Kåven <ovek@arcticnet.no>.
    - (35): New. Fix return and clang compilation (FTBFS; Closes: #741609).
      Patch thanks to Piotr Sokołowski <piotrsok2@gmail.com>.
    - (55): Add Bug-Debian field.
  * debian/control
    - (Standards-Version): Update to 3.9.5.
  * debian/copyright
    - Update years. Add Steve Langasek.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 17 Mar 2014 11:23:13 +0200

ace-of-penguins (1.3-12) unstable; urgency=low

  * Team upload
    - This release always runs autoreconf.
  * debian/ace-of-penguins.lintian-overrides
    - Update for the latest messages.
  * debian/control
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/pod2man.mk
    - Remove sed.
  * debian/rules
    - Simplify hardened build flags.
    - (ORIG): New. Preserve original file through autoreconf.
  * debian/source.lintian-overrides
    - Delete. No longer needed (ancient-libtool).
  * debian/*.desktop
    - (Keywords): New field.

  [ Steve Cotton <steve@s.cotton.clara.co.uk> ]
  * debian/control
    - (Build-Depends): Add dh-autoreconf.
  * debian/patches:
    - (50): Adjust linking with -lpng (FTBFS; Closes: 712534).
    - (55): New. (AM_LDFLAGS): Link with -lpng -lz -lm.
  * debian/rules
    - Add --with autoreconf.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 02 Jul 2013 10:57:43 +0300

=== debian/control ===
Source: ace-of-penguins
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 autoconf-archive,
 debhelper-compat (= 13),
 libpng-dev,
 libpng-dev:native,
 libx11-dev,
 zlib1g-dev,
 zlib1g-dev:native
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/games-team/ace-of-penguins.git
Vcs-Browser: https://salsa.debian.org/games-team/ace-of-penguins
Homepage: http://www.delorie.com/store/ace/
Rules-Requires-Root: no

Package: ace-of-penguins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 xfonts-100dpi
Description: penguin-themed solitaire games
 The Ace of Penguins is a set of solitaire games inspired by the ones
 available for MS Windows, but with a number of enhancements.
 .
 The package consists of the games Canfield, Freecell, Golf,
 Mastermind, Merlin, Minesweeper, Pegged, Solitaire, Spider, Taipei
 (with a level editor), and Thornq.
 .
 NOTE: If you experience problems with the F1 help key, please
 make sure you have package xfonts-100dpi installed.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,12 @@
 #!/usr/bin/make -f
+
+-include /usr/share/dpkg/buildtools.mk
+CC_FOR_BUILD ?= $(CC)
 
 PACKAGE		= ace-of-penguins
 PRGPREFIX	= ace-
-ICON_NAME	= penguin-pegged.png
-ICON_SRC	= debian/penguin-pegged.png
+ICON_NAME	= ace.png
+ICON_SRC	= desktop/ace.png
 
 # list of programs taken from games/Makefile
 PROGS = \
@@ -20,17 +23,8 @@
  taipei \
  thornq
 
-CPPFLAGS = $(shell \
-    DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)
-
-CFLAGS = -Wall $(shell \
-    DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS)
-
-LDFLAGS = -Wl,--as-needed -Wl,-z,now $(shell \
-    DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)
-
-cc := $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)
-
+CFLAGS  += -D_FILE_OFFSET_BITS=64
+cc      := $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)
 
 CONFFLAGS = --prefix=/usr --bindir=/usr/games
 
@@ -39,8 +33,7 @@
 export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
 
 # NOTE: The sources won't compile with -pedantic
-export DEB_CFLAGS_MAINT_APPEND	= -Wall $(CPPFLAGS)
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_CFLAGS_MAINT_APPEND	= -Wall $(CPPFLAGS) -std=gnu17
 
 MANDIR = $(MANROOTDIR)/man6
 
@@ -50,7 +43,7 @@
 	CC="$(cc)" dh_auto_configure -- $(CONFFLAGS)
 
 override_dh_auto_build: build-man
-	dh_auto_build -- CC="$(cc)" BUILD_CC="$(cc)"
+	dh_auto_build -- CC="$(cc)" BUILD_CC="$(CC_FOR_BUILD)"
 
 test:
 	# target: test
@@ -117,7 +110,7 @@
 	done
 
 	$(INSTALL_DIR) $(PKGDIR)/usr/share/applications
-	$(INSTALL_DATA) debian/*.desktop $(PKGDIR)/usr/share/applications
+	$(INSTALL_DATA) debian/desktop/*.desktop $(PKGDIR)/usr/share/applications
 
 	# delete test program
 	rm -f $(PKGDIR)/usr/games/penguins
@@ -126,14 +119,14 @@
 	find $(PKGDIR) -name "*.la" | xargs --no-run-if-empty rm -f
 
 	# Install custom icon
-	install -D -m 644 $(ICON_SRC) $(ICONDIR)/hicolor/24x24/apps/$(ICON_NAME)
+	install -D -m 644 $(ICON_SRC) $(ICONDIR)/hicolor/48x48/apps/$(ICON_NAME)
 
 override_dh_installdocs:
 	# Policy: COPYING file is not needed
 	dh_installdocs -X COPYING -X .git -X CVS -X .svn docs/*
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 .PHONY: test man build-man clean-man
